<script lang="ts">
  import { createEventDispatcher } from 'svelte';
  import { slide } from 'svelte/transition';

  const dispatch = createEventDispatcher();

  export let enable = true;
  export let open = false;

  const toggle = () => {
    open = !open;
    dispatch('toggle', { isOpen: open });
  };
</script>

<button on:click={toggle} class:enable>
  <slot name="accordion-tab" />
</button>
{#if open}
  <div transition:slide><slot name="accordion-content" /></div>
{/if}

<style>
  button {
    width: 100%;
    text-align: left;
    pointer-events: none;
  }

  .enable {
    pointer-events: auto;
  }
</style>
